package kr.co.hanwha.hifive.admin.network.model;

/**
 * Created by sanghoonkwon on 2018. 3. 21..
 */

public class AdminMemberTaskData {
    public int task_id;
    /**
     * "메인 목록 - 3. Module함 목록 조회 신규 API 적용"
     */
    public String task_name;
    /**
     * "권상훈iOS"
     */
    public String author_name;
    /**
     * "2017-11-17"
     */
    public String local_due_to;
    /**
     * 40
     */
    int status_code;
    /**
     * "Rejected-request"
     */
    public String status;
    /**
     * "평가전"
     */
    public String evaluation;
    /**
     * "2017-12-12 18:55:05.0"
     */
    public String local_created_at;
    /**
     * "2018-02-06 11:29:58.0"
     */
    public String local_updated_at;

    public int getTask_id() {
        return task_id;
    }

    public String getTask_name() {
        return task_name;
    }

    public String getAuthor_name() {
        return author_name;
    }

    public String getLocal_due_to() {
        return local_due_to;
    }

    public int getStatus_code() {
        return status_code;
    }

    public String getStatus() {
        return status;
    }

    public String getEvaluation() {
        return evaluation;
    }

    public String getLocal_created_at() {
        return local_created_at;
    }

    public String getLocal_updated_at() {
        return local_updated_at;
    }

    @Override
    public String toString() {
        return "AdminMemberTaskData{" +
                "task_id=" + task_id +
                ", task_name='" + task_name + '\'' +
                ", author_name='" + author_name + '\'' +
                ", local_due_to='" + local_due_to + '\'' +
                ", status_code=" + status_code +
                ", status='" + status + '\'' +
                ", evaluation='" + evaluation + '\'' +
                ", local_created_at='" + local_created_at + '\'' +
                ", local_updated_at='" + local_updated_at + '\'' +
                '}';
    }
}
/* 2018.3.28
https://qtalk-dev.dreamplus.center/newgw/a/v2/members/get/tasks
{"member_id":262}
"listMyTasksInfo": [
  {
    "task_id": 76,
    "task_name": "zzzzzzzz 안녕하세요 #Hi #반갑()하하하 #허허!",
    "author_name": "권상훈iOS",
    "local_due_to": "2017-11-17",
    "status_code": 20,
    "status": "Assigned",
    "evaluation": "평가전",
    "local_created_at": "2017-12-17 15:11:37.0",
    "local_updated_at": "2018-02-06 11:29:58.0"
}
 */
